Subject: [os2genau_digest] No. 2016
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 7 Nov 2010 00:01:19 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 06 November 2010
 Number  2016
**************************************************

Subjects for today
 
1  Re:  printing to a TCP/IP printer, what do I need ? : Chuck McKinnis <mckinnis at sandia dot net>
2  Re:  printing to a TCP/IP printer, what do I need ? : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Fri, 05 Nov 2010 09:55:06 -0600
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  printing to a TCP/IP printer, what do I need ?

On 11/4/2010 1:46 AM, Voytek Eymont wrote:
>
> <quote who="Chuck McKinnis">
>> On 11/3/2010 8:03 PM, Voytek Eymont wrote:
>>
>>> what do I need to print to a network printer ?
>>>
>>> I have HP LJ parrallel port printer hooked up to LPT on a Dlink 702;
>>>
>>>
>>> so the LPT printer is now a TCP/IP printer;
>>>
>>> what do I need on OS/2 to make the printer object print to my 'new'
>>> network printer ?
>>>
>>> on windoze it prints to ip address/lpr
>>>
>>> (I don't think it supports printing to port 9100)
>>>
>>>
>>>
>>
>> It may support both LPR and 9100, but need a full model number from the
>> box.
>
> Chuck, thanks
>
> Dlink DI-704P
>
> I also have access to a 'real' Toshiba LAN printer, how do I set that one ?
>

I would recommend the following steps:

1. Set network printers (or their servers) to fixed IP addresses.  You 
can usually access a real network printer through the browser to set the 
IP address.  Printers do not move around and there is no reason for them 
to use DHCP.  For example, I have my 2 printers set at 192.168.2.250 and 
192.168.2.251.  Don't forget that a fixed IP address usually means that 
you need to fill in the gateway and DNS addresses (they would normally 
be the same addresses that you have on your computer hooked to the same 
network).  If this printer is also printed to by Windows, you may have 
to edit the port in Windows to reflect the fixed IP address.

2. Most printers (and print servers) support printing with raw print 
data on port 910x.  The best tool for setting this up and managing it is 
IP Spool from Peter Koller.

http://www.manglais dot com/download/ipspool104.zip

or

http://hobbes2.nmsu.edu/download/pub/os2/system/drivers/printer/ipspool104.zip

3. You can also set up the printer to use a LPD port for output.  This 
will require several steps:
a. Open the TCP/IP configurator, select the "Printing" tab, check that 
the number in "Maximum Number of LPD Ports" is properly set, select 
"OK", and update the TCP/IP configuration.
b. Open the printer properties for the printer.
c. Select the "Output Port" tab.
d. If an unused \PIPE\LPDx port is available, edit its properties to put 
in the LPD server IP address (which is why you want the printer to have 
a fixed IP address) and the LPD printer name (it will be the same name 
that Windows uses), and select this port for the printer.  If there is 
no \PIPE\LPDx port available, you will need to "Install new port..." 
with the appropriate information.

-- 
Chuck McKinnis
Sandia Park, NM
http://www.7cities dot net/~mckinnis/
For I am not ashamed of the gospel of Christ: for it is the power of God 
unto salvation to every one that believeth; Romans 1:16

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Sat, 6 Nov 2010 16:36:13 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  printing to a TCP/IP printer, what do I need ?

<quote who="Chuck McKinnis">

> a fixed IP address) and the LPD printer name (it will be the same name that
> Windows uses), and select this port for the printer.  If there is
> no \PIPE\LPDx port available, you will need to "Install new port..." with
> the appropriate information.

Chuck,

thanks ! I had a wrong name under lpd...
(how the hack did I get that screwed up...?)
anyhow, all fixed, prints good

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG